# Stream_Modules.h File Reference

`#include "ace/Task.h"`
`#include "ace/Stream_Modules.cpp"`

Include dependency graph for Stream_Modules.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Stream_Head<>
| Standard task that acts as reader or writer at the head of an ACE_Stream. More...
class | ACE_Stream_Tail<>
| Standard module that acts as the head of a stream. More...
class | ACE_Thru_Task<>
| Standard module that acts as a "no op", simply passing on all data to its adjacent neighbor. More...

## Detailed Description

Id
  Stream_Modules.h,v 4.23 2005/10/28 16:14:56 ossama Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>